Ubuntu

Comment 21 for bug 417770

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.11.0-1ubuntu1

---------------
xserver-xorg-video-intel (2:2.11.0-1ubuntu1) maverick; urgency=low

  [ Christopher James Halse Rogers ]
  * Merge from Debian experimental. Remaining Ubuntu changes:
    - debian/apport-gpu-error-intel.py, debian/xserver-xorg-video-intel.udev,
      debian/xserver-xorg-video-intel:
      Add apport script to collect debug information on GPU hangs
    - rules: Install udev rule to run the script when the kernel detects hung GPU
    - 101_copy-fb.patch: Adds feature to driver so Xserver can draw
      root windows with no background. This enables smooth boot with
      Plymouth.
    - control: Add Recommends on intel-gpu-tools to xserver-xorg-video-intel
      package for use by GPU hang scripts.
    - xserver-xorg-video-intel.preinst.in, xserver-xorg-video-intel.postinst.in,
      rules:
      Don't install /etc/modprobe.d/i915-kms.conf, and remove it on upgrades.
      At best it's redundant (as the kernel defaults to KMS), at worst it breaks
      the ability to disable KMS.

  [ Robert Hooker ]
  * Add 102-disable-page-flipping-v2.patch: Disables page flipping support which
    is causing frequent hangs, but leaves the events.
  * Add 103-mbp-backlight-support.patch: Enables xrandr backlight control for
    macbook's using the mbp_backlight module. (LP: #417770)

xserver-xorg-video-intel (2:2.11.0-1) experimental; urgency=low

  * New upstream release.

xserver-xorg-video-intel (2:2.10.903-1) experimental; urgency=low

  * New upstream release candidate.

xserver-xorg-video-intel (2:2.10.902-1) experimental; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason. Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Brice Goglin ]
  * New upstream release candidate, closes: #567829.
    + User mode-setting is not supported anymore.
  * Bump xutils-dev build dependency for new util-macros.
  * Bump libdrm build dependency to 2.4.18-3 for latest i915 drm headers.
  * Build depend on libx11-xcb-dev, libxcb-aux0-dev and libxcb-dri2-0-dev
    for XVMC.
  * Recommends intel-gpu-tools since intel_reg_dumper is not provided
    by xserver-xorg-video-intel-dbg anymore.
 -- Robert Hooker <email address hidden> Sat, 29 May 2010 20:49:31 -0400